libbonoboui2-bin_2.24.5-2_amd64.deb


Advertisement

Description

libbonoboui2-bin - Bonobo UI library - utilities

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libbonoboui2-bin
Package version: 2.24.5
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 149 B
Download size: 77.68 KB
Official Mirror: ftp.br.debian.org
Bonobo is a set of language and system independent CORBA interfaces for creating reusable components, controls and creating compound documents. The Bonobo distribution includes a GTK+ based implementation of the Bonobo interfaces, enabling developers to create reusable components and applications that can be used to form more complex documents. This package contains a test binary using the Bonobo UI library and a component browser.

Alternatives

Replaces

  • libbonoboui2-common << 2.24.5
  • libbonoboui2-dev << 2.24.5

    Download

    Source package: libbonoboui

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libbonoboui2-bin deb package:
      # sudo apt-get install libbonoboui2-bin

    Files

    • /usr/bin/bonobo-browser
    • /usr/bin/test-moniker
    • /usr/share/doc/libbonoboui2-bin/NEWS.gz
    • /usr/share/doc/libbonoboui2-bin/README
    • /usr/share/doc/libbonoboui2-bin/changelog.Debian.gz
    • /usr/share/doc/libbonoboui2-bin/changelog.gz
    • /usr/share/doc/libbonoboui2-bin/copyright
    • /usr/share/gnome-2.0/ui/Bonobo_Sample_Container-ui.xml
    • /usr/share/gnome-2.0/ui/Bonobo_Sample_Hello.xml
    • /usr/share/gnome-2.0/ui/bonobo-browser.xml

    Changelog

    2013-12-29 - Josselin Mouette <joss@debian.org> libbonoboui (2.24.5-2) unstable; urgency=low * Add missing build-dependency on gtk-doc-tools. * Fix copyright file. Closes: #733487.

    2013-12-26 - Josselin Mouette <joss@debian.org> libbonoboui (2.24.5-1) unstable; urgency=low [ Josselin Mouette ] * Move documentation to libbonoboui2-dev. Closes: #583121. + Stop symlinking to /usr/share/doc. + Remove the sylink in libbonoboui2-dev.preinst. [ Loïc Minier ] * Fix globbing in watch file. [ Emilio Pozuelo Monfort ] * debian/source/format, debian/rules: + Switch to source format 3.0 (quilt). * debian/patches/01_dont_check_for_pangox.patch: + Stop checking for pangox during configure. It's not needed and pangox is going away. Closes: #702008. [ Josselin Mouette ] * New upstream translation & bugfix release. * Move to 3.0 quilt format, using tar.bz2 tarball. * Use dh_autoreconf. * 01_dont_check_for_pangox.patch. Stop using pangox entirely for irrelevant checks. Explicitly depend on X11 libraries since libbonoboui uses them regardless. * Convert to multi-arch: + Require appropriate cdbs/debhelper versions. + Bump requirement on libbonobo2-dev for the new server path. + Bump requirement on libglade2-dev for the new modules path. + Make libbonoboui2-common MA: foreign and libbonoboui2-0 MA: same. + Update installation paths. * Move to section oldlibs. * Update descriptions. * Drop .la files. * Drop gnome:version stuff. * Move bonobo-browser and test-moniker to a new libbonobo2-bin package. + This allows us to make libbonoboui2-dev MA: same.

    2010-04-05 - David Weinehall <tao@debian.org> libbonoboui (2.24.3-1) unstable; urgency=low * New upstream bugfix release. * debian/control.in: - Bump Standards version to 3.8.4 (No changes needed).

    2009-09-26 - Josselin Mouette <joss@debian.org> libbonoboui (2.24.2-1) unstable; urgency=low * Add libglib2.0-doc and libgtk2.0-doc to b-d-i to ensure proper xrefs. * Stop mentioning GNOME 2. * New upstream translation release.

    2009-03-06 - Sebastian Dröge <slomo@debian.org> libbonoboui (2.24.1-1) unstable; urgency=low * New upstream bugfix release.

    2009-02-27 - Josselin Mouette <joss@debian.org> libbonoboui (2.24.0-2) unstable; urgency=low * Upload to unstable.

    2008-11-11 - Josselin Mouette <joss@debian.org> libbonoboui (2.24.0-1) experimental; urgency=low [ Loic Minier ] * Pass -s -noreset to xvfb-run as otherwise Xvfb will reset when the first client (test) disconnects and xvfb-run will fail killing Xvfb. [ Josselin Mouette ] * New upstream release. * Update build-dependencies and dependencies according to the gnome-vfs dependency removal. * Standards version is 3.8.0. * Don’t ship the .a of the glade catalog, it’s useless.

    2008-03-14 - Sebastian Dröge <slomo@debian.org> libbonoboui (2.22.0-1) unstable; urgency=low * New upstream stable release.

    2007-12-04 - Loic Minier <lool@dooz.org> libbonoboui (2.21.90-1) unstable; urgency=low * Build-dep on xauth instead of xbase-clients. * New upstream release from the development series, but only stable changes; no API change; bug fixes. - Build-dep on libpopt-dev. * Bump up Standards-Version to 3.7.3.

    2007-09-18 - Sebastian Dröge <slomo@debian.org> libbonoboui (2.20.0-1) unstable; urgency=low * New upstream release. * Upload to unstable, drop check-dist include.

    Advertisement
    Advertisement